=== modified file 'README'
--- README	2015-10-19 11:16:58 +0000
+++ README	2016-02-01 20:45:30 +0000
@@ -1,10 +1,10 @@
-NAME:
+NAME: --------------------------------------------------------------------------
 The (Super) Simple Type System
 
-Authors:
+Authors: -----------------------------------------------------------------------
 Gustav Hartvigsson (c) 2013-2015
 
-ABOUT:
+ABOUT: -------------------------------------------------------------------------
 The software (The type-system) is an experiment. It was
 written by Gustav Hartvigsson to see how to create a simple reference counting
 type system that was super simple. (Redundancy is redundant).
@@ -17,10 +17,50 @@
 
 If you need a real type system for C use GLib/GObject. It
 is a much more mature and better designed type system
-than mine. It also has a main-loop and threading support
-out-of-the-box.
-
-ALSO:
+than mine.
+
+HACKING: -----------------------------------------------------------------------
+(We assume you are using a *Nix system or Cygwin/MinGW enviorment with the
+correct tools.)
+
+First make sure you have a place where you store your projects, say $HOME/devel/
+or the likes and you are in that directory. And you need a launchpad account,
+and set up your bazaar with your launchpad account.
+
+Info on how to do this can be found here:
+  http://doc.bazaar.canonical.com/plugins/en/launchpad-plugin.html
+  https://help.launchpad.net/YourAccount/CreatingAnSSHKeyPair
+
+When you start hacking it is importat to get a copy of the trunk, to do this run:
+  $ bzr branch lp:simpletypesystem simpletypesystem_trunk
+This will be your local trunk copy and should not be changed for the time being.
+
+To update your trunk run:
+  $ bzr pull
+
+When you have your local trunk cd to it and run
+  $ ./build.sh branch my-branch-name-here
+this will create a branch of your _local_ trunk copy. When it is done cd into
+that new branch:
+  $ cd ../simpletypesystem_my-branch-name-here
+
+Then we have to associate your branch with a branch on launchpad:
+  $ bzr push --remember lp:~<lp-username>/simpletypesystem/my-branch-name-here
+
+Then you can start hacking!
+
+To commit your changes you can run:
+  $ bzr commit
+or
+  $ ./build.sh commit
+
+to push your changed run
+  $ bzr push
+
+to propose the changes for merge run
+  $ bzr lp-propose-merge
+
+ALSO: --------------------------------------------------------------------------
 
 THIS SOFTWARE IS DISTRIBUTED AS IS, IT IS AN EXPERIMENT
 AND SHOULD BE TREATED AS SUCH. ALL AND ANY CLAIMS --
@@ -28,7 +68,7 @@
 
 THIS SOFTWARE IS DISTRIBUTED UNDER THE BSD LICENCE.
 
-NOTE THAT INCLINATION (using #include or otherwise) OF
+NOTE THAT INCLUDATIONS (using #include or otherwise) OF
 THE HEADER FILES (files ending with .h) IS _NOT_
 CONSIDERED AS DERIVATIVE, BUT CHANGES TO THE HEADER
 FILES IS.

=== modified file 'build.sh'
--- build.sh	2016-02-01 20:03:31 +0000
+++ build.sh	2016-02-01 20:45:30 +0000
@@ -11,6 +11,9 @@
 show_usage () {
   echo ""
   echo "Set up the building of libssts and clean up too."
+  echo "  This is not ment as a replacment for bazaar or for cmake, just a"
+  echo "  \"kick-start\" for new developers... and makes branching easier."
+  echo ""
   echo "  ./build.sh clean      -  Clean up the project and build files."
   echo "             cl"
   echo ""
@@ -35,6 +38,9 @@
   echo "             mt             merge from trunk. If the merge went smoothly"
   echo "                            it will procide to commit the merge with"
   echo "                            message \"* Merged trunk.\""
+  echo ""
+  echo " ./build.sh propose-merge - Propese merge of current branch."
+  echo "            pm"
 }
 
 do_build () {
@@ -84,7 +90,7 @@
     exe cd ..
     PARENT_WD=$(pwd)
     exe bzr branch $CURRENT_WD $PARENT_WD/$NEW_BRANCH_NAME
-    if [[ $? ]]
+    if [[ -z $? ]]
     then
       echo ""
       echo "Something went wrong when trying to branch..."
@@ -103,7 +109,7 @@
 do_merge_trunk () {
   exe bzr commit
   exe bzr merge lp:simpletypesystem
-  if [[ $? ]]
+  if [[ -z $? ]]
   then
     echo "Something went wrong with the merge! Plese solve these problems"
     echo "before you procide to commit again!"
@@ -112,6 +118,10 @@
   fi
 }
 
+do_propose_merge () {
+  exe bzr propose-merge
+}
+
 case ${ARGV[0]} in
      "help"|"-h") show_usage ;;
      "clean"|"cl") do_clean ;;

